| Elektra 0.11.0

Classes | Namespaces | Functions
backend.hpp File Reference

Implements a way to deal with a backend. More...

`#include <backendparser.hpp>`
`#include <modules.hpp>`
`#include <plugin.hpp>`
`#include <plugins.hpp>`
`#include <pluginspec.hpp>`
`#include <toolexcept.hpp>`
`#include <deque>`
`#include <memory>`
`#include <ostream>`
`#include <string>`
`#include <unordered_map>`
`#include <vector>`
`#include <kdb.hpp>`

## Classes
class | kdb::tools::BackendInterface
| Minimal interface to add plugins. More...
class | kdb::tools::SerializeInterface
| Interface to serialize a backend. More...
class | kdb::tools::MountBackendInterface
| Interface to work with mountpoints (backends) for factory. More...
class | kdb::tools::Backend
| A low-level representation of the backend (= set of plugins) that can be mounted. More...
class | kdb::tools::BackendFactory
| Factory for MountBackendInterface. More...
class | kdb::tools::PluginAdder
| Adds plugins in a generic map. More...
class | kdb::tools::GlobalPlugins
| Low level representation of global plugins. More...
class | kdb::tools::ImportExportBackend
| Backend for import/export functionality. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Functions
std::ostream & | kdb::tools::operator<< (std::ostream &os, Backend const &b)
| Prints the current status.

## Detailed Description

Implements a way to deal with a backend.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)